Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 14 Aug 2021 15:52:20 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I got  a gift card and when I've been trying to apply that to my online purchase it says there is an error, I tried contacting the shukran call centre and the centre point they told me to write an email regarding the issue.
my gift card expires tomorrow that is on the 15th of aug 2021.
therefore requesting you to resolve this issue before the 15th so I can use my card.

Card number: 1571694992111820000717978
Pin : 1427 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2980974